package weimob

import (
	"encoding/json"
)

//获取授权店铺
func (w *WeimobConfig) GetShopRefreshToken(clientId, clientSecret, redirectUri, code string) (data *ShopAccessTokenRes, err error) {
	url := w.ApiUrl + "fuwu/b/oauth2/token?code=" + code + "&grant_type=authorization_code&client_id=" + clientId + "&client_secret=" + clientSecret + "&redirect_uri=" + redirectUri
	res := w.DoPost(url, map[string]interface{}{})
	err = json.Unmarshal([]byte(res), &data)
	return
}

//刷新店铺access_token接口
func (w *WeimobConfig) GetShopAccessToken(clientId, clientSecret, refreshToken string) (data *ShopAccessTokenRes, err error) {
	url := w.ApiUrl + "fuwu/b/oauth2/token?grant_type=refresh_token&client_id=" + clientId + "&client_secret=" + clientSecret + "&refresh_token=" + refreshToken
	res := w.DoPost(url, map[string]interface{}{})
	err = json.Unmarshal([]byte(res), &data)
	return
}
